The `Modal` component is useful for short notices or UI elements when you don't want to remove the
user from a view they need to continue seeing.  A good example usage is logging in while they watch
a video.  Transitioning to an entirely new page just to ask for username/password ruins their video
viewing experience.

Try changing this `admin/bando/demos/Model.svelte` file to not use the `{#if}` when the model
opens.  You'll see that the button to open the modal stays around until you hover off.  Just a quirk
of how the modal is layered and probably fixed with `z-index` if you run into it.
