The internet is slow, but Google says your website should be fast.  Google can't meet their own
standards but that doesn't matter.  All that matters is there's now a cost added to creating a
website because Google will punish _your_ content for loading slowly while _their_ content (and the
content of their buddies) can load slowly.

The Spinner helps tell users that a page is loading and it's typically used with `{#await}` and the
`client/helpers.js:defer()` function.

<callout class="warning">
<span>Find or create examples in the project for how to do this.
</span>
</callout>

Adding an `aspect_ratio` also helps you with page load speed because the page renders, it has less
layout shift, and there's a notification that it's done.  Best of all the spinning is done in CSS
which doesn't count toward "execution" in Lighthouse.
