You can use the `Video` component to stream any HLS stream.  On Apple's Safari this works natively and doesn't require any additional code.  On other platforms you have to use the [HLS.js library](https://github.com/video-dev/hls.js/) in `static/js/hls.js` to decode and play the HLS protocol.

The `Video` component automatically negotiates the complex dance of figuring out when to load HLS.js.

   This demo won't work without you modifying it with an HLS stream (or other stream supported by the `<video>` tag. Change the stream variable in `admin/bando/demos/LiveStream.svelte` to enable one.
