import Home from "$/admin/pages/Home.svelte";
import Create from "$/admin/pages/Create.svelte";
import Stats from "$/admin/pages/Stats.svelte";
import Table from "$/admin/pages/Table.svelte";
import Errors from "$/admin/pages/Errors.svelte";
import Routes from "$/admin/pages/Routes.svelte";
import ReadUpdate from "$/admin/pages/ReadUpdate.svelte";
import EmailConfig from "$/admin/pages/EmailConfig.svelte";
import NotFound from "$/client/pages/NotFound.svelte";
import Components from "./bando/Components.svelte";
import DocsBrowser from "$/admin/pages/DocsBrowser.svelte";

export default {
  "/docs/*": DocsBrowser,
  "/bando/components/:name?": Components,
  "/errors/": Errors,
  "/routes/": Routes,
  "/table/create/:table/": Create,
  "/table/:table/": Table,
  "/table/:table/:row_id/": ReadUpdate,
  "/:what?:": Home,
  "/email/": EmailConfig,
  "/stats/": Stats,
  "*": NotFound,
}
